%define		module	aspects
Summary:	Aspect Oriented Programming in Python
Summary(pl.UTF-8):	Programowanie zorientowane aspektowo w Pythonie
Name:		python-aspects
Version:	0.1.4
Release:	5
License:	GPL
Group:		Development/Languages/Python
Source0:	ftp://ftp.logilab.fr/pub/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	b915eac498c16b365b3e83ffd5385a3a
Patch0:		%{name}-setup.patch
URL:		http://www.logilab.org/projects/aspects/view
BuildRequires:	python-modules >= 2.2.1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-logilab-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python module that enables Aspect Oriented Programming in Python. For
now, it provides a set of ready-to-use aspects and an easy way to
create your own aspects. The current possibilities are still a bit
limited, but it will soon provide a more exhaustive way to define and
use more complex aspects.

%description -l pl.UTF-8
To jest moduł Pythona umożliwiający programowanie zorientowane
aspektowo. Na razie dostarcza zbiór gotowych do użycia aspektów oraz
łatwy sposób tworzenia własnych aspektów. Aktualne możliwości są nadal
nieco ograniczone, ale wkrótce będzie dostępna bardziej wyczerpująca
metoda definiowania i używania bardziej złożonych aspektów.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

# see install section of python-logilab-common for explanation
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/logilab/__init__.*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO doc/*en.txt
%{py_sitescriptdir}/logilab/%{module}
%{py_sitescriptdir}/%{module}-*.egg-info
%changelog
* Wed Mar 08 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-aspects.git;a=log;h=master

* Wed Mar 08 2017 Jan Rękorajski <baggins@pld-linux.org> 2e342ef
- fix patch post cvs to git migration
- rel 5

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> aa65116
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 891a8da
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4bea6cd
- automatic change: use py_build/py_install macros

* Sat Oct 01 2011 Elan Ruusamäe <glen@pld-linux.org> 0080c35
- unown site-packages/logilab dir

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> a7fbbf9
- BR: rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 31acced
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 12526a5
- release 2

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> cbb47ea
- up to 0.1.4
- setup.patch added (__future__ import error)

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 2d9101e
- new, for 0.1.4
- __future__ import moved up front

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> aded5ca
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4c707ec
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> ca182c6
- mass commit: remove obsolete BR: rpm-pythonprov

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> c6603e1
- removed %%include /usr/lib/rpm/macros.python

* Thu Mar 04 2004 Jakub Bogusz <qboosh@pld-linux.org> fa96dd0
- pl, no macros in URL

* Wed Mar 03 2004 wrobell <wrobell@pld-linux.org> 1f2331d
- cleanup

* Wed Mar 03 2004 wrobell <wrobell@pld-linux.org> 1e8545b
- based on python-logilab-common.spec

